Sci-Fi Modules Pack 2

by Remi Bouffort in Models


is the package suitable for blender 2.79

the obj can be import in the 2.79 version, nevertheless the general scene was made with blender 2.83

Dev Fund Contributor
Published about 3 years ago
Blender Version 2.83, 2.9, 2.91, 2.92, 2.93
Render Engine Used Cycles, Eevee
Misc Data UV'S Unwrapped, Normal Mapped, Textured
License Royalty Free
Have questions before purchasing?

Contact the Creator with your questions right now.

Login to Message